Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 163345 - Upload on Save asks for password everytime
Upload on Save asks for password everytime
Status: RESOLVED DUPLICATE of bug 168223
Product: php
Classification: Unclassified
Component: FTP Support
6.x
All Linux
: P3 (vote)
: 6.x
Assigned To: Tomas Mysik
issues@php
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 09:59 UTC by djungowski
Modified: 2009-07-16 12:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
First password prompt when not providing password nor keyfile (6.06 KB, image/png)
2009-04-30 10:24 UTC, djungowski
Details
Second password prompt when not providing password nor keyfile (directly appears after the second) (9.91 KB, image/png)
2009-04-30 10:25 UTC, djungowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description djungowski 2009-04-22 09:59:54 UTC
When setting up remote synchronization as described at http://blogs.sun.com/netbeansphp/entry/remote_synchronization, I
am asked for a password every time when saving a file.

The known_hosts file and the key file are definately correct. ls -al in the .ssh folder shows the following:
drwx------  2 dominik dominik  4096 2009-04-20 11:38 .
drwxr-xr-x 81 dominik dominik 12288 2009-04-22 10:06 ..
-rw-r--r--  1 dominik dominik  1846 2009-04-02 09:05 config
-rw-------  1 dominik dominik   736 2008-05-20 08:37 id_dsa
-rw-r--r--  1 dominik dominik   942 2008-08-13 14:24 id_dsa.keystore
-rw-r--r--  1 dominik dominik   600 2007-10-05 09:48 id_dsa.pub
-rw-r--r--  1 dominik dominik 18584 2009-04-20 11:36 known_hosts

In the comments of the blog post someone mentioned that he got the same error, when the known_hosts file was not
writeable. Thus i changed the permissions by invoking chmod u+w known_hosts and chmod g+w known_hosts, but it still did
not work. I also tried by using a stored password instead of the ssh keyfile with the same result: i was asked for the
password every single time.
The ssh-key is a 1024bit dsa-key

On another note: Not one file was ever synchronized to the remote server!
Comment 1 Tomas Mysik 2009-04-23 10:19:14 UTC
Which NetBeans version do you use please (Help > About)? Thanks.
Comment 2 djungowski 2009-04-23 10:20:55 UTC
It was this nightly build: netbeans-trunk-nightly-200904171401-ml-php.zip
Comment 3 Tomas Mysik 2009-04-23 10:22:20 UTC
This could be duplicate of issue #162846.

It would be great if you could verify using development version of NetBeans:
http://bertram.netbeans.org/hudson/job/PHP-build/lastSuccessfulBuild/

Thanks for cooperation.
Comment 4 Tomas Mysik 2009-04-23 10:29:47 UTC
> I also tried by using a stored password instead of the ssh keyfile with the same result

This is weird - please, try these steps:
- in "Manage Remote Connections" window (window with remote servers) select your remote server, remove private key, provide password
and click Test - what will happen?

Also please double check that the correct Remote Connection is selected for your Remote Web Run Configuration.

Thanks a lot.
Comment 5 djungowski 2009-04-30 09:01:50 UTC
I have tried it with these versions:
Product Version: NetBeans IDE Dev (Build 200904171401)
Product Version: NetBeans IDE Dev (Build 2009-04-30_09-03-58 )

When removing the keyfile and entering a password I am still prompted for a password when clicking on "Test". Since I
have only this one server configured it definately is the right one

I have found out something interesting tho: My id_dsa ssh key does have a passphrase. As soon as I removed the
passphrase it worked instantly with provided key. Only thing is: I don't wanna remove my passphrase
Comment 6 djungowski 2009-04-30 10:23:14 UTC
When entering a password in the "Password" field, I am still prompted for a password. Curios case: When removing the
password I am prompted twice: First time it's a user-password authentication (i can see the username he is sending - see
screenshot #1) and after that I get the "Enter Password" prompt i have been getting since the beginning
Comment 7 djungowski 2009-04-30 10:24:43 UTC
Created attachment 81284 [details]
First password prompt when not providing password nor keyfile
Comment 8 djungowski 2009-04-30 10:25:40 UTC
Created attachment 81285 [details]
Second password prompt when not providing password nor keyfile (directly appears after the second)
Comment 9 Tomas Mysik 2009-04-30 12:06:14 UTC
> I have found out something interesting tho: My id_dsa ssh key does have a passphrase. As soon as I removed
> the passphrase it worked instantly with provided key. Only thing is: I don't wanna remove my passphrase

This is the "problem" - if your key has a password then you need to provide it every time (_very_ annoying for
Upload On Save, of course); unfortunately, I can see only one solution - to remove password from your key.

To your screenshots - the first panel is from NetBeans, the second one is from a library we use so it very likely
cannot be avoided - I will try to investigate more.

Thanks for reporting.
Comment 10 djungowski 2009-04-30 12:24:23 UTC
Since removing the passphrase is a potential security risk, this is not an option. I know that it works with Eclipse
(not having to enter the passphrase everytime), so i suppose there should be some way?
Comment 11 Tomas Mysik 2009-05-13 14:24:43 UTC
Closing this issue as WONTFIX because the password dialog comes from the 3rd party library (JSCh).
(As I wrote earlier, the reason is that your key has a password, remove it in order to avoid this issue.)
Comment 12 Tomas Mysik 2009-07-16 12:29:24 UTC
This issue has been fixed, see issue #168223.
Comment 13 Tomas Mysik 2009-07-16 12:30:10 UTC

*** This issue has been marked as a duplicate of 168223 ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo